Bug 182840 - 44s - web.project.WebActionProvider.getTargetNames()
44s - web.project.WebActionProvider.getTargetNames()
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Konecny
issues@javaee
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 04:56 UTC by Exceptions Reporter
Modified: 2010-08-11 03:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2010-03-26 04:56 UTC, Exceptions Reporter
Details
nps snapshot (10.96 KB, application/nps)
2010-05-12 09:31 UTC, jcampuzano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-03-26 04:56:06 UTC
Build: NetBeans IDE 6.8 (Build 200912041610)
VM: Java HotSpot(TM) Client VM, 14.3-b01, Java(TM) SE Runtime Environment, 1.6.0_17-b04
OS: Windows XP

User Comments:
GUEST: change the server jboss to another and change deploy

GUEST: Open the Help menu and hover the cursor somewhere in the Javadoc section.

neilg: Expand Libraries node in maven webapp within Projects pane



Maximum slowness yet reported was 44032 ms, average is 18124
Comment 1 Exceptions Reporter 2010-03-26 04:56:11 UTC
Created attachment 95877 [details]
nps snapshot
Comment 2 Jaroslav Tulach 2010-03-29 11:38:38 UTC
org.netbeans.modules.web.project.WebActionProvider.getTargetNames()
Comment 3 David Konecny 2010-04-08 22:48:56 UTC
See also http://netbeans.org/bugzilla/show_bug.cgi?id=178978 where Jesse wrote:

#349605, #339615, #331018: WebActionProvider.getTargetNames calls
GlobalPathRegistry.getSourceRoots, which can be time-consuming when a lot of
projects are open. ("we find all projects containg a web service" - is this
really necessary? can it be precomputed, or done asynch with a progress
notification?)
Comment 4 jcampuzano 2010-05-12 09:31:25 UTC
Created attachment 98828 [details]
nps snapshot
Comment 5 David Konecny 2010-08-11 03:09:09 UTC
Likely fixed as action provider was reused from J2SE project.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo